<?xml version="1.0" encoding="utf-8"?>
<com.gh.gamecenter.common.view.MaterializedRelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fitsSystemWindows="true">

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:id="@+id/do_not_delete_this_empty_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fitsSystemWindows="true" />

    <com.lightgame.view.NoScrollableViewPager
        android:id="@+id/mViewPager"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

    <com.gh.gamecenter.common.view.StatusBarView
        android:id="@+id/statusbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />

    <com.google.android.material.tabs.TabLayout
        android:id="@+id/mTabLayout"
        android:layout_width="150dp"
        android:layout_height="35dp"
        android:layout_below="@+id/statusbar"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="8dp"
        app:tabGravity="fill"
        app:tabIndicator="@null"
        app:tabIndicatorHeight="0dp"
        app:tabMode="fixed"
        app:tabSelectedTextColor="@color/white"
        app:tabTextAppearance="@style/HomeVideoTabTextAppearance"
        app:tabTextColor="@color/white_alpha_50" />

    <ImageView
        android:id="@+id/iv_back"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignTop="@id/mTabLayout"
        android:layout_alignBottom="@id/mTabLayout"
        android:layout_alignParentLeft="true"
        android:padding="16dp"
        android:scaleType="centerCrop"
        android:visibility="gone"
        android:src="@drawable/ic_bar_back_light" />

    <ImageView
        android:id="@+id/moreIv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/statusbar"
        android:layout_alignParentRight="true"
        android:layout_marginTop="6dp"
        android:layout_marginRight="10dp"
        android:padding="15dp"
        android:src="@drawable/ic_video_detail_menu_more"
        android:visibility="gone" />

    <com.gh.gamecenter.common.view.TabIndicatorView
        android:id="@+id/mTabIndicator"
        android:layout_width="150dp"
        android:layout_height="2dp"
        android:layout_below="@+id/mTabLayout"
        android:layout_centerHorizontal="true"
        android:visibility="gone"
        app:indicatorColor="@color/white" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/mTabIndicator"
        android:layout_marginTop="5dp">

        <LinearLayout
            android:id="@+id/marquee_ad"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="12dp"
            android:layout_marginRight="12dp"
            android:background="@drawable/bg_video_detail_marquee"
            android:orientation="horizontal"
            android:paddingLeft="10dp"
            android:paddingTop="5dp"
            android:paddingRight="10dp"
            android:paddingBottom="5dp"
            android:visibility="gone"
            tools:visibility="visible">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:src="@drawable/video_detail_marquee_ad_notice" />

            <TextView
                android:id="@+id/marquee_ad_title"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginLeft="4dp"
                android:layout_weight="1"
                android:ellipsize="marquee"
                android:focusable="true"
                android:focusableInTouchMode="true"
                android:includeFontPadding="true"
                android:marqueeRepeatLimit="marquee_forever"
                android:singleLine="true"
                android:textColor="@color/white"
                android:textSize="12sp"
                tools:text="这是广告的标题，从左往右出现这是广告的标题，从左往右出现" />

        </LinearLayout>

        <com.gh.gamecenter.common.view.HorizontalScrollableView
            android:id="@+id/adBannerLeft"
            android:layout_width="52dp"
            android:layout_height="wrap_content"
            android:layout_below="@+id/marquee_ad"
            android:layout_marginLeft="12dp"
            android:layout_marginTop="12dp"
            android:visibility="gone" />

        <com.gh.gamecenter.common.view.HorizontalScrollableView
            android:id="@+id/adBannerRight"
            android:layout_width="52dp"
            android:layout_height="wrap_content"
            android:layout_below="@+id/marquee_ad"
            android:layout_alignParentRight="true"
            android:layout_marginTop="12dp"
            android:layout_marginRight="12dp"
            android:visibility="gone" />
    </RelativeLayout>
</com.gh.gamecenter.common.view.MaterializedRelativeLayout>